## qt6-declarative 6.6.2+dfsg

=== debian/changelog ===
qt6-declarative (6.6.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Following the enablement of Vulkan also on non-Linux architectures in
    qt6-base 6.6.2+dfsg-9, remove the linux-any limitation for the
    Vulkan-related examples in qt6-declarative-examples.install.
  * There are no more architecture-specific files in install files, so:
    - drop the dh-exec usage in qt6-declarative-examples.install
    - drop the dh-exec build dependency
  * Sort the install files.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jul 2024 05:53:37 +0200

qt6-declarative (6.6.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:20:27 +0200

qt6-declarative (6.6.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Re-introduce package libqt6qmlworkerscript6.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Mar 2024 19:15:55 +0100

qt6-declarative (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 20:55:06 +0100

qt6-declarative (6.6.1+dfsg-3) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * qt6-declarative-dev: add versioned depends on packages produced by this
    source. This avoids mixed installed versions as reported by Stuart
    Prescott on IRC.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Jan 2024 18:00:35 +0100

qt6-declarative (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Re-introduce package libqt6quickshapes6.
  * Update symbols from buildlogs.
  * Fix typos in documentation.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 00:01:55 +0100
