## qt6-declarative 6.7.2+dfsg

=== debian/changelog ===
qt6-declarative (6.7.2+dfsg-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make qml6-module-qtquick-controls depend on qml6-module-qtquick and
    qml6-module-qtquick-templates.

  [ Patrick Franz ]
  * Put static libs back into the dev-package as qtcreator needs them.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:38:25 +0200

qt6-declarative (6.7.2+dfsg-8) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 6.7.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Sep 2024 23:51:06 +0200

qt6-declarative (6.7.2+dfsg-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:48:05 +0200

qt6-declarative (6.7.2+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Sep 2024 18:33:52 +0200

qt6-declarative (6.7.2+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libqt6quickcontrols2-6 against
    libqt6quickcontrols2impl6 (Closes: #1080421).

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 23:50:32 +0200

qt6-declarative (6.7.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 12:13:51 +0200

qt6-declarative (6.7.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 00:32:41 +0200

qt6-declarative (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package libqt6qmlnetwork6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 11:30:15 +0200

qt6-declarative (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Update list of installed files and new binary package qml6-module-
    qtnetwork.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 21:41:45 +0200
