=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
                qt6-declarative-dev:native <cross>,
-               qt6-languageserver-private-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
-               qt6-svg-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
+               qt6-languageserver-private-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
+               qt6-svg-dev (>= 6.7.2~),
+               qt6-svg-private-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
@@ -30,7 +31,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-declarative-private-abi (= 6.6.2),
+Provides: qt6-declarative-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: libgl1, libglx-mesa0,
 Suggests: qt6-qmltooling-plugins,
@@ -64,6 +65,16 @@
  .
  This package contains the Qt QML Models support library.
 
+Package: libqt6qmlnetwork6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 QML Network library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt QML Network support library.
+
 Package: libqt6qmlworkerscript6
 Architecture: any
 Multi-Arch: same
@@ -93,6 +104,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
+Replaces: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
 Description: Qt 6 Quick Controls 2 library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -181,8 +194,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsanimation6
-Replaces: libqt6labsanimation6
+Breaks: libqt6labsanimation6,
+Replaces: libqt6labsanimation6,
 Description: Qt 6 Animation QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -194,8 +207,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsfolderlistmodel6
-Replaces: libqt6labsfolderlistmodel6
+Breaks: libqt6labsfolderlistmodel6,
+Replaces: libqt6labsfolderlistmodel6,
 Description: Qt 6 FolderListModel QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -219,8 +232,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsqmlmodels6
-Replaces: libqt6labsqmlmodels6
+Breaks: libqt6labsqmlmodels6,
+Replaces: libqt6labsqmlmodels6,
 Description: Qt 6 QML Models QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -232,8 +245,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labssettings6
-Replaces: libqt6labssettings6
+Breaks: libqt6labssettings6,
+Replaces: libqt6labssettings6,
 Description: Qt 6 Settings QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -245,8 +258,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labssharedimage6
-Replaces: libqt6labssharedimage6
+Breaks: libqt6labssharedimage6,
+Replaces: libqt6labssharedimage6,
 Description: Qt 6 Shared Image Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -259,8 +272,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labswavefrontmesh6
-Replaces: libqt6labswavefrontmesh6
+Breaks: libqt6labswavefrontmesh6,
+Replaces: libqt6labswavefrontmesh6,
 Description: Qt 6 WavefrontMesh QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -272,14 +285,25 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6qmlcore6
-Replaces: libqt6qmlcore6
+Breaks: libqt6qmlcore6,
+Replaces: libqt6qmlcore6,
 Description: Qt 6 QML Core QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This QML module provides access to the standard system paths.
 
+Package: qml6-module-qtnetwork
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 QML Network QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains the Qt Network QML module.
+
 Package: qml6-module-qtqml
 Architecture: any
 Multi-Arch: same
@@ -298,32 +322,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 QtQml Base QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains QML base types.
-
-Package: qml6-module-qtqml-models
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QtQml Models QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The Models provides types previously found in Qt Quick module.
-
-Package: qml6-module-qtqml-workerscript
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QtQml Workerscript QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for using worker scripts.
-
-Package: qml6-module-qtqml-xmllistmodel
-Architecture: any
-Multi-Arch: same
