## qt6-declarative 6.8.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-exec,
                libgl-dev,
                liblttng-ust-dev [linux-any],
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev:native <cross>,
-               qt6-languageserver-private-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
-               qt6-svg-dev (>= 6.7.2~),
-               qt6-svg-private-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-languageserver-private-dev (>= 6.8.0~),
+               qt6-shadertools-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
+               qt6-svg-private-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative
@@ -31,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-declarative-private-abi (= 6.7.2),
+Provides: qt6-declarative-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: libgl1, libglx-mesa0,
 Suggests: qt6-qmltooling-plugins,
@@ -65,26 +66,6 @@
  .
  This package contains the Qt QML Models support library.
 
-Package: libqt6qmlnetwork6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QML Network library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt QML Network support library.
-
-Package: libqt6qmlworkerscript6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QML WorkerScript library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt QML WorkerScript support library.
-
 Package: libqt6quick6
 Architecture: any
 Multi-Arch: same
@@ -104,25 +85,12 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
-Replaces: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
 Description: Qt 6 Quick Controls 2 library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt Quick Controls 2 support library.
 
-Package: libqt6quickshapes6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick Shapes library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt Quick Shapes support library.
-
 Package: libqt6quicktemplates2-6
 Architecture: any
 Multi-Arch: same
@@ -145,6 +113,17 @@
  .
  This package contains the Qt Quick Test library for QtDeclarative module.
 
+Package: libqt6quickvectorimagegenerator6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick Vector Image Generator library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Quick Vector Image Generator library for QtDeclarative module.
+
 Package: libqt6quickwidgets6
 Architecture: any
 Multi-Arch: same
@@ -194,8 +173,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsanimation6,
-Replaces: libqt6labsanimation6,
+Breaks: libqt6labsanimation6
+Replaces: libqt6labsanimation6
 Description: Qt 6 Animation QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -207,8 +186,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsfolderlistmodel6,
-Replaces: libqt6labsfolderlistmodel6,
+Breaks: libqt6labsfolderlistmodel6
+Replaces: libqt6labsfolderlistmodel6
 Description: Qt 6 FolderListModel QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -232,8 +211,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labsqmlmodels6,
-Replaces: libqt6labsqmlmodels6,
+Breaks: libqt6labsqmlmodels6
+Replaces: libqt6labsqmlmodels6
 Description: Qt 6 QML Models QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -245,8 +224,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labssettings6,
-Replaces: libqt6labssettings6,
+Breaks: libqt6labssettings6
+Replaces: libqt6labssettings6
 Description: Qt 6 Settings QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -258,8 +237,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labssharedimage6,
-Replaces: libqt6labssharedimage6,
+Breaks: libqt6labssharedimage6
+Replaces: libqt6labssharedimage6
 Description: Qt 6 Shared Image Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -272,8 +251,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6labswavefrontmesh6,
-Replaces: libqt6labswavefrontmesh6,
+Breaks: libqt6labswavefrontmesh6
+Replaces: libqt6labswavefrontmesh6
 Description: Qt 6 WavefrontMesh QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -285,25 +264,14 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6qmlcore6,
-Replaces: libqt6qmlcore6,
+Breaks: libqt6qmlcore6
+Replaces: libqt6qmlcore6
 Description: Qt 6 QML Core QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This QML module provides access to the standard system paths.
 
-Package: qml6-module-qtnetwork
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QML Network QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains the Qt Network QML module.
-
 Package: qml6-module-qtqml
 Architecture: any
 Multi-Arch: same
@@ -315,10 +283,44 @@
  .
  This QML module contains basic QML types.
 
-Package: qml6-module-qtqml-base
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 QtQml Base QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
+Package: qml6-module-qtqml-models
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 QtQml Models QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The Models provides types previously found in Qt Quick module.
+
+Package: qml6-module-qtqml-workerscript
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6qmlworkerscript6
+Replaces: libqt6qmlworkerscript6
+Description: Qt 6 QtQml Workerscript QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains types for using worker scripts.
+
+Package: qml6-module-qtqml-xmllistmodel
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6qmlxmllistmodel6
+Replaces: libqt6qmlxmllistmodel6
+Description: Qt 6 QtQml XmlListModel QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module is used to create a read-only model from XML data.
+
+Package: qml6-module-qtquick
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
