## qt6-declarative 6.8.0+dfsg

=== debian/changelog ===
qt6-declarative (6.8.0+dfsg-0deepin4) unstable; urgency=medium

  * add Package: libqt6quickvectorimage6 

 -- lichenggang <lichenggang@deepin.org>  Mon, 01 Sep 2025 13:21:49 +0800

qt6-declarative (6.8.0+dfsg-0deepin3) unstable; urgency=medium

  * update debian/*install 

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 19:32:17 +0800

qt6-declarative (6.8.0+dfsg-0deepin2) unstable; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.8.0).

  [ lichenggang ]
  * update debian/*.install

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 14:44:22 +0800
