=== debian/control ===
--- 
+++ 
@@ -66,6 +66,17 @@
  .
  This package contains the Qt QML Models support library.
 
+Package: libqt6quickvectorimage6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick Vector Image library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Quick Vector Image support library.
+
 Package: libqt6quick6
 Architecture: any
 Multi-Arch: same
@@ -313,14 +324,3 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6qmlxmllistmodel6
-Replaces: libqt6qmlxmllistmodel6
-Description: Qt 6 QtQml XmlListModel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module is used to create a read-only model from XML data.
-
-Package: qml6-module-qtquick
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
